XmToggleButtonGadgetSetState(3Xm)

NAME
XmToggleButtonGadgetSetState — a ToggleButtonGadget function that sets or changes the current state..

SYNOPSIS
#include <Xm/ToggleBG.h>

void XmToggleButtonGadgetSetState (widget, state, notify)
    Widget    widget;
    Boolean    state;
    Boolean    notify;

DESCRIPTION
XmToggleButtonGadgetSetState sets or changes the ToggleButtonGadget's current state.

widget
    Specifies the ToggleButtonGadget widget ID.

state
    Specifies a Boolean value that indicates whether the ToggleButtonGadget state is selected or unselected. If True, the button state is selected; if False, the button state is unselected.

notify
    Indicates whether XmNvalueChangedCallback is called; it can be either True or False.

For a complete definition of ToggleButtonGadget and its associated resources, see XmToggleButtonGadget(3Xm).

RELATED INFORMATION
XmToggleButtonGadget(3Xm).